Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155234 - CAN-2005-0137 ia64 syscall_table DoS
Summary: CAN-2005-0137 ia64 syscall_table DoS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel
Version: 3.0
Hardware: ia64
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jason Baron
QA Contact: Brian Brock
URL:
Whiteboard: reported=20050208,embargo=20050311,im...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-18 12:03 UTC by Mark J. Cox
Modified: 2013-03-06 05:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-22 20:17:40 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:293 high SHIPPED_LIVE Important: kernel security update 2005-04-22 04:00:00 UTC
Red Hat Product Errata RHSA-2005:294 normal SHIPPED_LIVE Moderate: Updated kernel packages available for Red Hat Enterprise Linux 3 Update 5 2005-05-18 04:00:00 UTC

Description Mark J. Cox 2005-04-18 12:03:41 UTC
Jason Baron noted that this issue also affected RHEL3

+++ This bug was initially created as a clone of Bug #148860 +++

Mike O'Connor mentioned to vendor-sec on Feb08:

        The number of entries in the syscall_table is incorrect. The
        exception handling code assumes that there are 255 entries but
        there are only 254.  If any user issues syscall number
        1024+255 (1279), the exception handler jumps to garbage, and
        voila -- instead of ENOSYS, you get a DoS.

This looks valid, arch/ia64/kernel/entry.S only contains 255 entries
(see end of file) and is missing a "data8 ia64_ni_syscall" from the end.

DoS itself not verified but should be easily reproducable.

** Currently embargoed, no date yet set. **

Comment 1 Mark J. Cox 2005-04-18 12:05:05 UTC
"below is the tested rhel3 version of the patch. 

-Jason"

--- linux-2.4.21/arch/ia64/kernel/entry.S.bak
+++ linux-2.4.21/arch/ia64/kernel/entry.S
@@ -1305,3 +1305,4 @@ sys_call_table:
        data8 ia64_ni_syscall
        data8 ia64_ni_syscall
        data8 ia64_ni_syscall
+       data8 ia64_ni_syscall


Comment 2 Ernie Petrides 2005-04-18 17:28:14 UTC
A fix for this problem was committed to the RHEL3 E5 patch
pool on 13-Apr-2005 (in kernel version 2.4.21-27.0.3.EL).


Comment 3 Ernie Petrides 2005-04-18 17:28:54 UTC
A fix for this problem was also committed to the RHEL3 U5
patch pool on 15-Apr-2005 (in kernel version 2.4.21-32.EL).


Comment 4 Josh Bressers 2005-04-22 20:17:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-293.html


Comment 5 Tim Powers 2005-05-18 13:29:25 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-294.html



Note You need to log in before you can comment on or make changes to this bug.